All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
template_base.hpp File Reference
`#include <list>`
`#include <set>`
`#include "viennacl/ocl/kernel.hpp"`
`#include "viennacl/ocl/device.hpp"`
`#include "viennacl/ocl/device_utils.hpp"`
`#include "viennacl/scheduler/forwards.h"`
`#include "viennacl/scheduler/io.hpp"`
`#include "viennacl/device_specific/lazy_program_compiler.hpp"`
`#include "viennacl/device_specific/mapped_objects.hpp"`
`#include "viennacl/device_specific/tree_parsing.hpp"`
`#include "viennacl/device_specific/utils.hpp"`

Go to the source code of this file.

## Classes

class | viennacl::device_specific::template_base
struct | viennacl::device_specific::template_base::parameters_type
class | viennacl::device_specific::template_base::invalid_template_exception
struct | viennacl::device_specific::template_base::loop_body_base
class | viennacl::device_specific::template_base_impl< TemplateType, ParametersType >

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::device_specific
| Provides an OpenCL kernel generator.

## Enumerations

enum | viennacl::device_specific::fetching_policy_type { viennacl::device_specific::FETCH_FROM_LOCAL, viennacl::device_specific::FETCH_FROM_GLOBAL_STRIDED, viennacl::device_specific::FETCH_FROM_GLOBAL_CONTIGUOUS }

## Detailed Description

Base classes for the profiles

Definition in file template_base.hpp.